# PSF-LoginServer - master - net.psforever.objects.zones.Zone.Population
PSF - LoginServer - master - net.psforever.objects.zones.Zone.Population
Keywords: PSF LoginServer master net.psforever.objects.zones.Zone.Population

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  object Zone
  Definition Classes
    zones
- ClientInitialization
- Corpse
- Deployable
- EquipmentIs
- Ground
- HotSpot
- Population
- Vehicle

o

net.psforever.objects.zones.Zone

# Population

###

#### object Population

Source
  Zone.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Population
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Join (avatar: Avatar) extends Product with Serializable

   Message that introduces a user, by their `Avatar`, into a `Zone`.

   Message that introduces a user, by their `Avatar`, into a `Zone`. That user will be counted as part of that zone's population. The `avatar` may associate `Player` objects with itself in the future.

   avatar

     the `Avatar` object

2.  final case class Leave (avatar: Avatar) extends Product with Serializable

   Message that excuses a user, by their `Avatar`, into a `Zone`.

   Message that excuses a user, by their `Avatar`, into a `Zone`. That user will not longer be counted as part of that zone's population.

   avatar

     the `Avatar` object

   See also

     `PlayerHasLeft`

3.  final case class PlayerAlreadySpawned (zone: Zone, player: Player) extends Product with Serializable

   Message that acts in reply to `Spawn(avatar, player)`, but the avatar already has a player.

   Message that acts in reply to `Spawn(avatar, player)`, but the avatar already has a player.

   player

     the `Player` object

4.  final case class PlayerCanNotSpawn (zone: Zone, player: Player) extends Product with Serializable

   Message that acts in reply to `Spawn(avatar, player)`, but the avatar did not initially `Join` this zone.

   Message that acts in reply to `Spawn(avatar, player)`, but the avatar did not initially `Join` this zone.

   zone

     the `Zone` object

   player

     the `Player` object

5.  final case class PlayerHasLeft (zone: Zone, player: Option[Player]) extends Product with Serializable

   Message that acts in reply to `Leave(avatar)` or `Release(avatar)`.

   Message that acts in reply to `Leave(avatar)` or `Release(avatar)`. In the former case, the avatar will have successfully left the zone, and `player` may be defined. In the latter case, the avatar did not initially `Join` the zone, and `player` is `None`. This message should not be considered a failure or a success case.

   zone

     the `Zone` object

   player

     the `Player` object

   See also

     `Release`
     `Leave`

6.  final case class Release (avatar: Avatar) extends Product with Serializable

   Message that instructs the zone to disassociate a `Player` from this `Actor`.

   Message that instructs the zone to disassociate a `Player` from this `Actor`.

   avatar

     the `Avatar` object

   See also

     `PlayerHasLeft`

7.  final case class Spawn (avatar: Avatar, player: Player, avatarActor: ActorRef[Command]) extends Product with Serializable

   Message that instructs the zone to disassociate a `Player` from this `Actor`.

   Message that instructs the zone to disassociate a `Player` from this `Actor`.

   avatar

     the `Avatar` object

   player

     the `Player` object

   See also

     `PlayerAlreadySpawned`
     `PlayerCanNotSpawn`

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped